VST Oversampler 1.4 (with SSE/3DNow! support)

VST, AU, AAX, etc. plug-in Virtual Instruments discussion
emilieitor
KVRer
2 posts since 8 Aug, 2014

Post Thu Aug 07, 2014 4:49 pm

Somebody have VST Oversampler 1.5? :( Could someone that have Vst Oversampler 1.5 upload this to a page for we can download it, please?

asseca
KVRAF
1985 posts since 29 Feb, 2004

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Thu Aug 07, 2014 11:14 pm

..
Last edited by asseca on Thu Jun 23, 2016 8:42 am, edited 2 times in total.

emilieitor
KVRer
2 posts since 8 Aug, 2014

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Mon Aug 11, 2014 12:41 pm

AUTO-ADMIN: Non-MP3, WAV, OGG, SoundCloud, YouTube, Vimeo, Twitter and Facebook links in this post have been protected automatically. Once the member reaches 5 posts the links will function as normal.
Thank you!!

I´ve found the 1.5 version for download too:

http://s000.tinyupload.com/index.php?fi ... 4252253476 (http://s000.tinyupload.com/index.php?file_id=99428839804252253476)

asseca
KVRAF
1985 posts since 29 Feb, 2004

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Mon Aug 11, 2014 5:32 pm

emilieitor wrote: I´ve found the 1.5 version for download too
Thanks :)

User avatar
EvilDragon
KVRAF
16913 posts since 7 Jan, 2009 from Croatia

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Tue Feb 06, 2018 5:15 am

I can't find any working link to v1.5p1 of this plugin... anybody has it, perhaps?

surreal
KVRian
960 posts since 3 Dec, 2006

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Tue Feb 06, 2018 8:26 am

That would be cool

The Chase
KVRAF
10535 posts since 13 Jun, 2004 from Alberto Balsam

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Fri May 25, 2018 9:28 pm

BUMP

Anyone?

User avatar
Rockatansky
KVRist
229 posts since 3 Jun, 2017

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Fri May 25, 2018 10:29 pm

Here, in the comments.
https://www.kvraudio.com/product/vst-ov ... y-arkecode

Took me one Google search for "VST Oversampler", clicking the first link and scrolling down. :roll:
Confucamus.

Distorted Horizon
KVRian
1118 posts since 17 Jan, 2017

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Fri May 25, 2018 11:05 pm

Too much stuff to read if this has already been answered.. So I'll just ask :D

How is this different from using for example some Melda plugin after a synth, using 2x-16x oversampling?

User avatar
Rockatansky
KVRist
229 posts since 3 Jun, 2017

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Fri May 25, 2018 11:28 pm

You load your synth into the Oversampler so the synth runs at 2x project samplerate, somewhat (but not much) lowering the amount of aliasing. (At least if the aliasing comes from basic oscillators or clipping or stuff like that.)

Inserting a plugin after the synth has already made an un-oversampled sound at project samplerate is not the same, the sound will already contain (more) aliasing and you won't get rid of that again.
Confucamus.

Ah_Dziz
KVRAF
2340 posts since 2 Jul, 2005

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Sat May 26, 2018 4:33 pm

Does anyone know if this will work with the current zebra version? That could be cool.
Don't F**K with Mr. Zero.

provoc
KVRist
142 posts since 16 Jul, 2014

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Sat May 26, 2018 7:24 pm

In Reaper x64 (5.90) the 1.5p1 oversampler can host and resample 32 bit plugs but does not seem to work with 64 plugins (I get a “could not load associated .dll” error dialog) and it seems pretty inconvenient to have to keep two copies (32/64) just for the purpose of oversampling. Has anyone found a work around for this or maybe it is DAW specific?

User avatar
aciddose
KVRAF
11941 posts since 7 Dec, 2004

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Sun May 27, 2018 10:07 am

A 32-bit or 64-bit process can't load a non-matching dll.

Hosts that allow "bridging" actually launch a separate 32-bit process to load 32-bit plug-ins and the host + 32-bit plug-in wrapper communicate using IPC methods.

So yes it is possible for one plug-in to wrap both 32-bit and 64-bit plug-ins, but it would need to do so by launching an additional sub-process to load those plug-ins that don't match.
Free plug-ins for Windows, MacOS and Linux. Xhip Synthesizer v8.0 and Xhip Effects Bundle v6.7.

User avatar
EvilDragon
KVRAF
16913 posts since 7 Jan, 2009 from Croatia

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Sun May 27, 2018 10:32 am

Since this also comes with a source file, can't somebody compile it for 64-bit? (I can't since I don't have anything that compiles C.)

User avatar
aciddose
KVRAF
11941 posts since 7 Dec, 2004

Re: VST Oversampler 1.4 (with SSE/3DNow! support)

Post Sun May 27, 2018 10:38 am

That might be possible but you'd need somebody to compile the code and fix any issues for a 64-bit version. It's not too much work but quite a bit just to get started.

I thought about it but honestly it would make more sense to provide a much more flexible wrapper plug-in where you could select the sub-plug-in, set the over-sampling rate, filters (up/down) and process multiple plug-ins in modular configurations. To actually take it to the point where I'd be interested is too much work... so it's one of those too-low/too-high hurdle issues.

I'm sure somebody could do it though if they had the time/desire.
Free plug-ins for Windows, MacOS and Linux. Xhip Synthesizer v8.0 and Xhip Effects Bundle v6.7.

Return to “Instruments”